Bug 849348 - SELinux is preventing /usr/sbin/abrt-dbus from unlink access on the lnk_file .lock.
SELinux is preventing /usr/sbin/abrt-dbus from unlink access on the lnk_file ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 12:06 EDT by akshay vyas
Modified: 2012-08-29 20:59 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 20:59:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description akshay vyas 2012-08-18 12:06:29 EDT
Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:user_home_t:s0
Target Objects                .lock [ lnk_file ]
Source                        abrt-dbus
Source Path                   /usr/sbin/abrt-dbus
Port                          <Unknown>
Host                          localhost.akshay
Source RPM Packages           abrt-dbus-2.0.10-4.fc17.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     localhost.akshay
Platform                      Linux localhost.akshay 3.5.1-1.fc17.i686.PAE #1
                              SMP Thu Aug 9 17:50:53 UTC 2012 i686 i686
Alert Count                   1
First Seen                    2012-08-18 21:29:33 IST
Last Seen                     2012-08-18 21:29:33 IST
Local ID                      bbcc473d-360b-41c0-8746-5ae4ac9c02be

Raw Audit Messages
type=AVC msg=audit(1345305573.386:90): avc:  denied  { unlink } for  pid=2526 comm="abrt-dbus" name=".lock" dev="sda8" ino=548498 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:user_home_t:s0 tclass=lnk_file


type=SYSCALL msg=audit(1345305573.386:90): arch=i386 syscall=unlink success=yes exit=0 a0=bfedb05c a1=bfedb092 a2=4a8eeff4 a3=bfedb05c items=0 ppid=1 pid=2526 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=abrt-dbus exe=/usr/sbin/abrt-dbus subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: abrt-dbus,abrt_t,user_home_t,lnk_file,unlink

audit2allow

#============= abrt_t ==============
allow abrt_t user_home_t:lnk_file unlink;

audit2allow -R

#============= abrt_t ==============
allow abrt_t user_home_t:lnk_file unlink;
Comment 1 Fedora Update System 2012-08-27 07:31:20 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
Comment 2 Fedora Update System 2012-08-29 20:59:19 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-2.fc17, btparser-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.